<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>PlatformDataResult (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PlatformDataResult (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlatformDataResult.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/pde/PlatformDataRequest.Listener.html" title="interface in com.here.android.mpa.pde"><span class="typeNameLink">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/pde/PlatformDataResult.html" target="_top">Frames</a></li>
<li><a href="PlatformDataResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.pde</div>
<h2 title="Class PlatformDataResult" class="title">Class PlatformDataResult</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.pde.PlatformDataResult</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">PlatformDataResult</span>
extends java.lang.Object
implements java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</pre>
<div class="block">Result of the Platform Data Extension request. Implements Map interface, where the key is the
 layer name and the value is the <code>PlatformDataItemCollection</code> object, which is a collection
 of the retrieved items (<code>PlatformDataItem</code>) for the given layer. This class is immutable.

 <p>The <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde"><code>PlatformDataItemCollection</code></a> objects returned by this class keep reference to <code>PlatformDataResult</code> instance.</p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde"><code>PlatformDataItemCollection</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.util.Map">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface java.util.Map</h3>
<code>java.util.Map.Entry&lt;K,V&gt;</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#clear--">clear</a></span>()</code>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#containsKey-java.lang.Object-">containsKey</a></span>(java.lang.Object key)</code>
<div class="block">Returns whether this <code>Map</code> contains the specified key.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#containsValue-java.lang.Object-">containsValue</a></span>(java.lang.Object value)</code>
<div class="block">Returns whether this <code>Map</code> contains the specified value.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.util.Map.Entry&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#entrySet--">entrySet</a></span>()</code>
<div class="block">Returns a <code>Set</code> containing all of the mappings in this <code>Map</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object o)</code>
<div class="block">Compares the argument to the receiver, and returns <code>true</code> if the specified object is a
 <code>PlatformDataResult</code> and both <code>PlatformDataResult</code>s contain the same mappings.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.util.List&lt;java.util.Map&lt;java.lang.String,java.lang.String&gt;&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#extract--">extract</a></span>()</code>
<div class="block">All the items returned by this class and its children are dynamically created on demand.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#get-java.lang.Object-">get</a></span>(java.lang.Object key)</code>
<div class="block">Returns the value of the mapping with the specified key.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#hashCode--">hashCode</a></span>()</code>
<div class="block">Returns an integer hash code for the receiver.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Returns whether this map is empty.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#keySet--">keySet</a></span>()</code>
<div class="block">Returns a set of the keys contained in this <code>Map</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#put-java.lang.String-com.here.android.mpa.pde.PlatformDataItemCollection-">put</a></span>(java.lang.String key,
   <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a> value)</code>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#putAll-java.util.Map-">putAll</a></span>(java.util.Map&lt;? extends java.lang.String,? extends <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt; map)</code>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#remove-java.lang.Object-">remove</a></span>(java.lang.Object key)</code>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#size--">size</a></span>()</code>
<div class="block">Returns the number of mappings in this <code>Map</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#values--">values</a></span>()</code>
<div class="block">Returns a <code>Collection</code> of the values contained in this <code>Map</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Map">
<!--   -->
</a>
<h3>Methods inherited from interface java.util.Map</h3>
<code>compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public void clear()</pre>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>clear</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="containsKey-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsKey</h4>
<pre>public boolean containsKey(java.lang.Object key)</pre>
<div class="block">Returns whether this <code>Map</code> contains the specified key.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>containsKey</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key to search for.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this map contains the specified key, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="containsValue-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsValue</h4>
<pre>public boolean containsValue(java.lang.Object value)</pre>
<div class="block">Returns whether this <code>Map</code> contains the specified value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>containsValue</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the value to search for.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this map contains the specified value, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="entrySet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>entrySet</h4>
<pre>public java.util.Set&lt;java.util.Map.Entry&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;&gt; entrySet()</pre>
<div class="block">Returns a <code>Set</code> containing all of the mappings in this <code>Map</code>. Each mapping is an
 instance of <code>Map.Entry</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>entrySet</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a set of the mappings</dd>
</dl>
</li>
</ul>
<a name="get-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a> get(java.lang.Object key)</pre>
<div class="block">Returns the value of the mapping with the specified key.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>get</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the mapping with the specified key, or <code>null</code> if no mapping for
         the specified key is found.</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public boolean isEmpty()</pre>
<div class="block">Returns whether this map is empty.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isEmpty</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this map has no elements, <code>false</code> otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#size--"><code>PlatformDataResult.size()</code></a></dd>
</dl>
</li>
</ul>
<a name="keySet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keySet</h4>
<pre>public java.util.Set&lt;java.lang.String&gt; keySet()</pre>
<div class="block">Returns a set of the keys contained in this <code>Map</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>keySet</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a set of the keys.</dd>
</dl>
</li>
</ul>
<a name="put-java.lang.String-com.here.android.mpa.pde.PlatformDataItemCollection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>put</h4>
<pre>public <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a> put(java.lang.String key,
                                      <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a> value)</pre>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>put</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - ignored</dd>
<dd><code>value</code> - ignored</dd>
</dl>
</li>
</ul>
<a name="putAll-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putAll</h4>
<pre>public void putAll(java.util.Map&lt;? extends java.lang.String,? extends <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt; map)</pre>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>putAll</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>map</code> - ignored</dd>
</dl>
</li>
</ul>
<a name="remove-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public <a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a> remove(java.lang.Object key)</pre>
<div class="block">Since this class is immutable, this method only throws <code>UnsupportedOperationException</code>
 and does not do anything else.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>remove</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - ignored</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public int size()</pre>
<div class="block">Returns the number of mappings in this <code>Map</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>size</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of mappings in this <code>Map</code>.</dd>
</dl>
</li>
</ul>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt; values()</pre>
<div class="block">Returns a <code>Collection</code> of the values contained in this <code>Map</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>values</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection of the values contained in this map.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object o)</pre>
<div class="block">Compares the argument to the receiver, and returns <code>true</code> if the specified object is a
 <code>PlatformDataResult</code> and both <code>PlatformDataResult</code>s contain the same mappings.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>equals</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - the <code>Object</code> to compare with this <code>Object</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean <code>true</code> if the <code>Object</code> is the same as this <code>Object</code>
         <code>false</code> if it is different from this <code>Object</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#hashCode--"><code>PlatformDataResult.hashCode()</code></a>, 
<a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#entrySet--"><code>PlatformDataResult.entrySet()</code></a></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<div class="block">Returns an integer hash code for the receiver. <code>Object</code>s which are equal return the
 same value for this method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>hashCode</code> in interface <code>java.util.Map&lt;java.lang.String,<a href="../../../../../com/here/android/mpa/pde/PlatformDataItemCollection.html" title="class in com.here.android.mpa.pde">PlatformDataItemCollection</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the receiver's hash.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html#equals-java.lang.Object-"><code>PlatformDataResult.equals(Object)</code></a></dd>
</dl>
</li>
</ul>
<a name="extract--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>extract</h4>
<pre>public java.util.Map&lt;java.lang.String,java.util.List&lt;java.util.Map&lt;java.lang.String,java.lang.String&gt;&gt;&gt; extract()</pre>
<div class="block">All the items returned by this class and its children are dynamically created on demand. Due
 to that fact the child objects keep references to their parent object. If you require normal
 Java behavior, you can convert this class to regular Java collection with this method.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Content of the @{code <a href="../../../../../com/here/android/mpa/pde/PlatformDataResult.html" title="class in com.here.android.mpa.pde"><code>PlatformDataResult</code></a> converted to regular Java
         collection.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlatformDataResult.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/pde/PlatformDataRequest.Listener.html" title="interface in com.here.android.mpa.pde"><span class="typeNameLink">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/pde/PlatformDataResult.html" target="_top">Frames</a></li>
<li><a href="PlatformDataResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
